mobile = new (function ()
{
    this.pageMode = "scale";

    this.minScale = 0;
    this.maxScale = Infinity;
    this.doResize = function()
    {
        var origWidth = window.innerWidth;
        var origHeight = window.innerHeight;
        var width = origWidth;
        var height = origHeight;

        if (width / height < this.minScale)
            width = height * this.minScale;
        if (width / height > this.maxScale)
            width = height * this.maxScale;

        if (width < origWidth)
        {
            var scale = origWidth / width;
            width = origWidth;
            height = height * scale;
        }
        if (height < origHeight)
        {
            var scale = origHeight / height;
            width = width * scale;
            height = origHeight;
        }

        var fontSize = height / 40;
        $(document.body).css("font-size", fontSize + "px");
        if (this.pageMode === "scale")
            $(document.body).width(width).height(height);
    }
    var self = this;
    window.addEventListener("resize", function () { self.doResize(); });
    $(window).load(function () { self.doResize(); });

    this.setMaxScales = function (min, max)
    {
        this.minScale = min;
        this.maxScale = max;
        this.doResize();
    };

    this.setPageMode = function (mode)
    {
        if (mode === "scale" || mode === "scroll")
            this.pageMode = mode;
        this.doResize();
    }
});
