Timetables = function (edval, tabs)
{
    var self = this;

    if (!localStorage.getItem("Timetables::alwaysShownPeriods"))
        localStorage.setItem("Timetables::alwaysShownPeriods", JSON.stringify(["1", "2", "3", "4", "5", "6"]))

    this.tab = tabs.addTab("Timetables", "timetables/timetable-search.html", false, {load: function() { this.init(edval, function (result) { self.openTimetable(result, true); });}});

    this.openTimetable = function (searchResult, autoSelect)
    {
        var subtab = this.tab.subtabManager.addTab(searchResult.id, "timetables/timetable-overview.html", autoSelect, {load: function ()
        {
            var timetable = edval.buildTimetable(searchResult);
            this.showTimetableOverview(edval, timetable, function (day)
            {
                subtab.subtabManager.addTab(day, "timetables/timetable-day.html", true, {load: function ()
                {
                    this.showTimetableDay(edval, timetable.days[day], edval.periods.getBellTimesForDay(day));
                }});
            });
        }});
    };

    if (localStorage.getItem("Timetables::openedTimetables"))
    {
        var openedTimetables = JSON.parse(localStorage.getItem("Timetables::openedTimetables"));
        var currentActive = localStorage.getItem("Timetables::currentActive");
        for (var t = 0; t < openedTimetables.length; ++t)
        {
            var personInfo = edval.getPersonInfo(openedTimetables[t]);
            if (personInfo)
                this.openTimetable($.extend(personInfo, {id: openedTimetables[t]}), currentActive === openedTimetables[t]);
        }
    }

    this.saveOpenedTimetables = function ()
    {
        var openedTimetables = [];
        var tabs = self.tab.subtabManager.tabs;
        for (var t in tabs)
            openedTimetables.push(tabs[t].name);
        localStorage.setItem("Timetables::openedTimetables", JSON.stringify(openedTimetables));

        var currentActive = self.tab.subtabManager.getActiveTabId();
        if (currentActive)
            localStorage.setItem("Timetables::currentActive", tabs[currentActive].name);
        else
            localStorage.removeItem("Timetables::currentActive");
    };
    window.addEventListener("unload", function () { self.saveOpenedTimetables(); });
};
