function buildTimetableDay(edval, day, bellTimes)
{
    var periods = edval.periods.getPeriods();
    var periodList = JSON.parse(localStorage.getItem("Timetables::alwaysShownPeriods"));
    for (var p in day)
        if (periodList.indexOf(p) < 0)
            periodList.push(p);
    periodList.sort(function (a, b) { return periods.indexOf(a) - periods.indexOf(b); });

    var wrapperElem = $("<table />").addClass("timetable-day");
    for (var p = 0; p < periodList.length; ++p)
    {
        var period = day[periodList[p]];
        var bellTime = bellTimes[periodList[p]][0] + " ~ " + bellTimes[periodList[p]][1]
        if (period)
        {
            var subject = period.classId.toUpperCase() + ": " + edval.classes.getClassInfo(period.classId).name;
            var room = period.roomId ? edval.rooms.getRoomInfo(period.roomId).name : "-";
            var teacherInfo = period.teacherId ? edval.teachers.getTeacherInfo(period.teacherId) : null;
            var teacher = teacherInfo ? (teacherInfo.firstName + " " + teacherInfo.lastName) : "";
        }
        else
        {
            var subject = "Free";
            var room = "-";
            var teacher = "";
        }

        var tableElem = $("<table />");
        var periodElem = $("<td />").addClass("period").attr({"rowspan":3}).text(periodList[p].toUpperCase());
        var roomElem = $("<td />").addClass("room").attr({"rowspan":3}).text(room);
        var bellTimeElem = $("<td />").addClass("bellTime").text(bellTime);
        var subjectElem = $("<td />").addClass("subject").text(subject);
        if (teacher)
            tableElem.append($("<tr />").append(periodElem, bellTimeElem, roomElem), $("<tr />").append(subjectElem), $("<tr />").append($("<td />").addClass("teacher").text(teacher)));
        else
            tableElem.append($("<tr />").append(periodElem, subjectElem, roomElem), $("<tr />").append(bellTimeElem));
        wrapperElem.append($("<tr />").append($("<td />").addClass(period ? "" : "free").append(tableElem)));
    }
    return wrapperElem;
}

function showTimetableDay(edval, day, bellTimes)
{
    document.body.appendChild(buildTimetableDay(edval, day, bellTimes)[0]);
}

mobile.setMaxScales(0.7, 3);
